Bug 905210 - Unable to Retrieve Alert Count
Unable to Retrieve Alert Count
Product: RHQ Project
Classification: Other
Component: REST (Show other bugs)
All Unspecified
unspecified Severity unspecified (vote)
: ---
: RHQ 4.6
Assigned To: Heiko W. Rupp
Mike Foley
: 906158 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2013-01-28 15:57 EST by Fernando Ribeiro
Modified: 2013-08-31 06:12 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-08-31 06:12:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Fernando Ribeiro 2013-01-28 15:57:33 EST
Description of problem:

All attempts to retrieve the "alert/count" resource in the "application/xml" format fail with the following message:

<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
  <message>Could not find MessageBodyWriter for response object of type: java.lang.Integer of media type: application/xml</message>

No problems when using the "application/json" or "text/plain" formats.

Version-Release number of selected component (if applicable):


How reproducible:

Steps to Reproduce:
1. Set the "Accept" header to "application/xml"
2. Retrieve the "alert/count" resource
3. Investigate stack trace
Actual results:

The error message mentioned in the description.

Expected results:

A proper response.

Additional info:

Comment 1 Heiko W. Rupp 2013-02-04 03:51:10 EST
In the past this method was only sending a single number, which was not valid for XML.
This has now been changed into

<value value="..."/>

Similar for the StringValue type

master 564ac02d1aa2c
Comment 2 Fernando Ribeiro 2013-02-04 10:58:34 EST
Great, thanks!
Comment 3 Heiko W. Rupp 2013-02-07 04:35:38 EST
*** Bug 906158 has been marked as a duplicate of this bug. ***
Comment 4 Heiko W. Rupp 2013-08-31 06:12:33 EDT
Bulk close of old bugs in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.